POST /v1/payments/inquiryPayment
Queries the result of a payment. Use it when you have not received the payment result for a long time, or to determine the payment status in asynchronous payment processing. If both paymentId and paymentRequestId are provided, paymentId takes priority and paymentRequestId is ignored.
Polling interval: poll once every 5 seconds, for up to 1 minute. See Inquiring Payment.
Request Parameters
Response Parameters
Payment status:
SUCCESS: the order succeededFAIL: the order failedPROCESSING: the order is not paid yet, or is paid but not finishedAUTH_SUCCESS: the user completed the pre-authorization (Mini Program auth capture scenario)
Payment amount. See Amount.
Extended information (JSON string). Keys:
nickName, avatarUrl. Example: "{\"nickName\":\"SuperMan\",\"avatarUrl\":\"https://...\"}"